MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024924Community[OCCT] OCCT:Modeling Algorithmspublic2014-05-14 19:192014-11-11 12:52
Reporterdrazmyslovich 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024924: ShapeFix_SplitTool doesn't verify the new range after cutting an edge
DescriptionAt the current the new range for the curve calculated with respect to the cutting point isn't verified. In the most of the cases, the verification isn't necessary, since SplitTool expects the input range to be valid. But in case of periodic curves and cutting near 0 and 2*pi points the verification and the adjustment of the new range is necessary in order to bring to (0..2*pi) interval.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0029337)
drazmyslovich (developer)
2014-05-14 19:21

Please, review the patch
(0029366)
gka (developer)
2014-05-16 10:23

Branch CR024924 is ready to be tested.
(0029438)
apn (administrator)
2014-05-21 14:52

Dear BugMaster,

Branch CR024924 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 8c1ce9eb05e41dcbf35ce5878676a727165d0c30

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)
MacOS: 202 (205 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
mesh advanced_shading A8
http://occt-tests/CR24924-master-occt/Debian60-64/mesh/advanced_shading/A8.html [^]
http://occt-tests/CR24924-master-occt/Windows-32-VC9/mesh/advanced_shading/A8.html [^]

PRODUCTS:
omf advanced_meshcommon G1
omf advanced_meshfuse L8 ZF4
omf standard_meshtuc ZH6(Lin) ZH4(WNT)
http://jenkins-test-02.nnov.opencascade.com:8080/job/mnt-CR24924-master_products_tests_linux_start/ [^]
http://jenkins-test-02.nnov.opencascade.com:8080/job/mnt-CR24924-master_products_tests_windows_start/ [^]

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355545280 / 355968116
Total CPU difference: 54533.899999999565 / 51289.87999999977

Testing on Windows:
Total MEMORY difference: 380050832 / 380248492
Total CPU difference: 35804.296875 / 35796.078125
(0029442)
gka (developer)
2014-05-21 15:52

Seems that list of regression can not be determined by fix from branch CR24924.
Could you please re-base this branch on current master a retest re-basing branch.
(0029444)
gka (developer)
2014-05-21 16:10

It is necessary to create branch on current master containing commits from branches:
0024921,
0024924.
(0029445)
apn (administrator)
2014-05-21 16:18

Branch CR24924_1 was created from commits 0024921 and 0024924.
(0029465)
apn (administrator)
2014-05-22 14:36

Dear BugMaster,

Branch CR24924_1 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: f784d7aa9a7d01401187b4ff4c27516711c96f9e

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)
MacOS: 202 (205 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 356402468 / 357316044
Total CPU difference: 53833.57999999992 / 56363.22999999993

Testing on Windows:
Total MEMORY difference: 379379620 / 379613888
Total CPU difference: 42130.015625 / 35503.203125

There are no differences in images found by testdiff.

- Related Changesets
occt: master c471a1ba
Timestamp: 2014-05-14 15:20:14
Author: razmyslovich
Committer: apn
Details ] Diff ]
0024924: ShapeFix_SplitTool doesn't verify the new range after cutting an edge

Validate the new cut range before setting it to edge
mod - src/ShapeFix/ShapeFix_SplitTool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-14 19:19 drazmyslovich New Issue
2014-05-14 19:19 drazmyslovich Assigned To => drazmyslovich
2014-05-14 19:21 drazmyslovich Note Added: 0029337
2014-05-14 19:21 drazmyslovich Status new => resolved
2014-05-14 19:24 abv Assigned To drazmyslovich => gka
2014-05-14 19:24 abv Target Version Unscheduled => 6.8.0
2014-05-16 10:23 gka Note Added: 0029366
2014-05-16 10:23 gka Status resolved => reviewed
2014-05-19 14:22 apn Assigned To gka => apn
2014-05-21 14:52 apn Note Added: 0029438
2014-05-21 14:53 apn Test case number => Not needed
2014-05-21 14:53 apn Assigned To apn => drazmyslovich
2014-05-21 14:53 apn Status reviewed => assigned
2014-05-21 15:52 gka Note Added: 0029442
2014-05-21 15:52 gka Assigned To drazmyslovich => apn
2014-05-21 16:10 gka Note Added: 0029444
2014-05-21 16:18 apn Note Added: 0029445
2014-05-21 16:19 apn Status assigned => resolved
2014-05-21 16:20 apn Status resolved => reviewed
2014-05-22 14:36 apn Note Added: 0029465
2014-05-22 14:37 apn Assigned To apn => bugmaster
2014-05-22 14:37 apn Status reviewed => tested
2014-05-23 14:25 apn Changeset attached => occt master c471a1ba
2014-05-23 14:25 apn Assigned To bugmaster => apn
2014-05-23 14:25 apn Status tested => verified
2014-05-23 14:25 apn Resolution open => fixed
2014-06-17 12:47 user533 Project Open CASCADE => Community
2014-11-11 12:46 user533 Fixed in Version => 6.8.0
2014-11-11 12:52 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker